<?php
session_start();	
	if (!isset($_SESSION['nazwa'])) {
			header('Location: ../login.php');
			exit();
	}
	if (isset($_POST['zu'])) {
		require_once('../wiras_php/wa_baza/wa_polacz.php');
	
			$status = $_POST['status'];
			$login = $_POST['login'];
			$mail = $_POST['mail'];
			$nazwa = $_POST['nazwa'];
			$imie = $_POST['imie'];
			$czy_nazwa = false;
			$_SESSION['addu_kom']='';
			
		//Sprawdz czy wypelnione pola
		if ($status=='' || $login=='' || $nazwa=='' || $imie=='' || $_POST['haslo']=='') {
		addu_komunikat('Musisz wypełnić wszystkie pola...');
		}
		
		//Sprawdz czy istnieje nazwa
		$zap = "SELECT id_user, nazwa FROM users";	
		$wynik_pobierz = mysqli_query($db, $zap);
		$user = array();
		while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
		{
			$user[] = $wiersz;
		}
		$lr = count($user);
		for ($i=0; $i<$lr; $i++) {
			if (mb_strtolower($nazwa,"UTF-8")==mb_strtolower($user[$i][1],"UTF-8")) {
				$czy_nazwa=true;
			}
		}
		if ($czy_nazwa) {
			addu_komunikat('Podana nazwa użytkownika jest już zajęta');
		} 
		
		//---USERS--------
			//Generowania hasla node
		$pn = ['0', '1', '2', '3','4', '5','6', '7','8', '9','a', 'A','b', 'B','c', 'C','d', 'D','e', 'E',
		'f', 'F','g', 'G','h', 'H','i', 'J','k', 'K','l', 'L', 'm', 'M','n', 'N','o', 'O','p', 'P','q', 'Q',
		'r', 'R', 's', 'S','t', 'T','u', 'U','w', 'W','x', 'X','y', 'Y', 'z', 'Z'];
		$node_p='';
		for ($i=0; $i<10; $i++) {
			$lz = rand(0,57); 
			$node_p = $node_p.$pn[$lz]; 
		}
		
		$has = password_hash($_POST['haslo'], PASSWORD_DEFAULT);
		$zap = "INSERT INTO users (status, login, haslo, email, nazwa, imie, node_pass) 
			Values ($status, '$login', '$has', '$mail', '$nazwa', '$imie', '$node_p')";
		$wykonaj = mysqli_query($db, $zap);	
		$has ='';
		$node_p='';
		
		$zap = "SELECT id_user FROM users WHERE nazwa='$nazwa'";
		$pobierz = mysqli_query($db, $zap);
		$wiersz = $pobierz->fetch_assoc();
		$id = $wiersz['id_user'];
			
			//---BLOG_SETUP
		$zap = "INSERT INTO blog_setup (id_user, kol_fonttytul1, kol_fontwpis1,kol_tlowpis1, kol_ramkawpis1, kol_fontkomentarz1,
			kol_tlokomentarz1, kol_ramkakomentarz1, kol_fonttytul2, kol_fontwpis2, kol_tlowpis2, kol_ramkawpis2,
			kol_fontkomentarz2, kol_tlokomentarz2, kol_ramkakomentarz2, kol_tloblog) 
				Values ($id, '#000', '#000', '#FFFFFF', '#006', '#000', '#FFFFFF', '#006', '#000', '#000'
				, '#FFFFFF', '#006', '#000', '#FFFFFF', '#006', '#FFFFFF')";
		$wykonaj = mysqli_query($db, $zap);


			//---CHAT_ONLINE
		$zap = "INSERT INTO chat_online (id_user, name, log_time, last_time)
				Values ($id, '$nazwa', NOW(), NOW())";
		$wykonaj = mysqli_query($db, $zap);

			//---USERS_ONLINE
		$zap = "INSERT INTO users_online (id_user, name, log_time, last_time)
				Values ($id, '$nazwa', NOW(), NOW())";
		$wykonaj = mysqli_query($db, $zap);

			//---STOPKA
		if ($status>1) {
			$zap = "INSERT INTO stopka (id_user, nazwa, tekst, wyswietl, data_stopki)
					Values ($id, '$nazwa', 'Witam na Platformie WIRTUALNY ASYSTENT', 0, NOW())";
			$wykonaj = mysqli_query($db, $zap);
		}

			//---OGŁOSZENIA
		if ($status>0) {	
			$zap = "INSERT INTO ogloszenia (id_user, nazwa, status, tresc, data)
					Values ($id, '$nazwa', $status, 'Brak wiadomości', NOW())";
			$wykonaj = mysqli_query($db, $zap);
		}

			//---STRONA_TREŚĆ
		$zap = "INSERT INTO strona_tresc (id_user, nazwa, status, tytul, tresc, data)
				Values ($id, '$nazwa', $status, 'Tytuł', 'Treść strony', NOW())";
		$wykonaj = mysqli_query($db, $zap);
		
			//---STRONA_SETUP
		$font = '\"Patrick Hand\", cursive';
		$zap = "INSERT INTO strona_setup (id_user, ramka_rozmiar, ramka_kolor, tytul_kolor, tlo_kolor, tresc_kolor, 
				font_tytul_kolor, font_tytul_rodzaj, font_tresc_kolor, font_tresc_rodzaj, img)
				Values ($id, 5, '#484848', '#CCCCCC', '#777777', '#AAAAAA', '#000000', 1, '#000000', 8, '')";
		$wykonaj = mysqli_query($db, $zap);
		
		//---USERS_FORMULARZE
		$data = date("Y-m-d");
		$zap = "INSERT INTO users_formularze (id_user, info_data, ankieta_data, test_data)
				Values ($id, '$data', '$data', '$data')";
		$wykonaj = mysqli_query($db, $zap);
		
			//Dodaj katalogi
		mkdir("../pliki/upload/$nazwa", 0755);
		mkdir("../pliki/upload/$nazwa/foto", 0755);
		mkdir("../pliki/upload/$nazwa/pliki", 0755);
		
		mkdir("../pliki/upload/$nazwa/galeria-1", 0755);
		mkdir("../pliki/upload/$nazwa/galeria-2", 0755);
		mkdir("../pliki/upload/$nazwa/galeria-3", 0755);
		
		mkdir("../pliki/upload/$nazwa/galeria-1/duze", 0755);
		mkdir("../pliki/upload/$nazwa/galeria-1/male", 0755);
		mkdir("../pliki/upload/$nazwa/galeria-2/duze", 0755);
		mkdir("../pliki/upload/$nazwa/galeria-2/male", 0755);
		mkdir("../pliki/upload/$nazwa/galeria-3/duze", 0755);
		mkdir("../pliki/upload/$nazwa/galeria-3/male", 0755);
			
			addu_komunikat('Nowy użytkownik został dodany do bazy');
			
	} else {
		exit();
	}
	
	function addu_komunikat($kom) {
		$_SESSION['addu_kom']=$kom;
		unset($_POST['zu']);
		unset($_POST['haslo']);
		unset($_POST['imie']);
		unset($_POST['nazwa']);
		unset($_POST['login']);
		unset($_POST['mail']);
		unset($_POST['status']);
		header('Location: ../index.php?m=20');
		return false;
	}
?>
